@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=IBM+Plex+Mono:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700&display=swap');
@import url('fonts.css');

html{
    scroll-behavior: smooth;
}

body {
    background-color: #151718;
    font-family: 'Inter', sans-serif;
}

.navbar {
    padding: 20px 60px;
}

.nav-top {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 999;
    background-color: #151718;
    border-bottom: 1px solid #3f3f3f;
    transform: translateY(-100%);
    transition: all 0.3s ease-in-out;
}

.nav-top.show {
    transform: translateY(0);
}

.navbar .nav-item {
    padding: 0px 30px;
}

.btn.btn-primary {
    padding: 10px 20px;
    background: #fff;
    border: none;
    color: #161616;
    border-radius: 10px;
}

.btn.btn-primary span{
    opacity: 70%;
}

/* Hero */
.hero {
    margin-top:-120px;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    padding: 0px 120px;
    background: url('../img/hero-bg.png');
    background-size: cover;
    background-repeat: no-repeat;
}

.hero .sparkle{
    font-family: 'Segoe UI Emoji';
    background: linear-gradient(180deg, rgba(255, 255, 255, 0.7) 0%, rgba(255, 255, 255, 0) 100%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-size: 100px;
    margin-top: -200px;
    margin-left: 800px;
    position: absolute;
}

.hero h2 {
    font-family: 'IBM Plex Mono';
    color: #B1B8D1;
    letter-spacing: 16px;
}

.hero h1 {
    font-weight: 900;
    font-size: 126px;
    margin-top: -20px;
    color: #fff;
}

.hero h1 span {
    color: #FF4B4B;
}

.hero p {
    color: #FFF;
    font-size: 16px;
    font-family: IBM Plex Mono;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.hero .btn.btn-primary{
    background-color: #FF4B4B;
    color: #fff;
}

.hero .portfolio-btn{
    color: #A8A8A8;
}

/* About Us */
.about-us{
    background: #101112;
    padding: 72px 80px;
}

.about-us .col-md-8{
    background-color: #151718;
    padding: 60px 60px;
    border-radius: 45px 0px 0px 45px;
    color: #fff;
}

.about-us .col-md-3{
    background-color: #151718;
    border-radius: 0px 45px 45px 0px;
    color: #fff;
    margin-left: 10px;
}

.about-us .rlabel{
    background: #282125;
    padding: 8px 16px;
    border-radius: 10px;
    color: #FFD4D4;
    font-family: 'IBM Plex Mono',monospace;
}

.about-us h1{
    font-weight: 900;
}

.about-us h1 span{
    color: #FF4B4B;
    margin: 0px 0px;
}

.about-us p{
    font-family: 'IBM Plex Mono',monospace;
    color: #8B8B8B;
}

.services{
    background: url('../img/services-bg.png');
    background-size: cover;
    padding: 72px 80px;
}

.services h6{
    font-family: 'IBM Plex Mono', monospace;
    text-transform: uppercase;
    color: #fff;
    font-weight: normal;
}

.services h1{
    font-weight: 900;
    color: #fff;
}

.services h1 span{
    color: #FF4B4B;
}

.services .col-md-4{
    padding: 0px;
}

.services .services-row {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 5px;
  }
  
  .services-card {
    background: #16191B;
    border: 1px solid #3f3f3f;
    color: #fff;
    padding: 30px;
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 100%;
  }
  
  .services-card img {
    display: block;
    margin: 0 auto;
  }
  
  .services-card p {
    text-align: center;
    margin-top: 10px;
  }
  
  .services .col-md-4{
    width: 100%;
    height: 100%;
  }

  .services img{
    width: 100px;
    margin-bottom: 20px;
  }

  .services h3{
    font-weight: bold;
  }

  .web-development{
    border-radius: 40px 0px 0px 0px;
  }

  .E-commerce{
    border-radius: 0px 40px 0px 0px;
  }

  .software-development{
    border-radius: 0px 0px 0px 40px;
  }

  .crm-development{
    border-radius: 0px 0px 40px 0px;
  }

  .portfolio{
    padding: 60px;
    background: #101112;
  }

  .portfolio h6{
    font-family: 'IBM Plex Mono',monospace;
    text-transform: uppercase;
    color: #fff;
  }

  .portfolio h2{
    font-weight: 900;
    color: #fff;
    text-transform: uppercase;
  }

  .portfolio h2 span{
    color: #FF4B4B;
  }

  .portfolio .col-md-3{
    padding: 5px;
  }

  .portfolio h4{
    font-weight: 900;
    text-transform: uppercase;
  }

  .portfolio .card-text{
    font-family: 'IBM Plex Mono',monospace;
  }

  .portfolio .card{
    background: #151718;
    border-radius: 25px;
    color: #fff;
  }

  .portfolio img{
    border-radius: 30px 30px 0px 0px;
  }

  .portfolio .card-body{
    padding: 30px;
  }

  .portfolio .card:hover{
    transform:scale(1.02);
    transition: 0.4s ease;
  }

  .modal .modal-header{
    height: 50px;
    font-family: 'IBM Plex Mono';
    background: #EBEBEB;
    font-weight: 900;
  }

  .modal-body{
    background-color: #151718;
  }

  .modal form input, .modal form textarea{
    background: transparent;
    color: #fff;
  }

  .modal form input:focus, .modal form textarea:focus{
    background: transparent;
    color: #fff;
    box-shadow: none;
  }

  .modal form label{
    color: #fff;
  }

  .modal .modal-header .modal-title{
    font-size: 16px;
  }

  .modal button{
    color: #FC5753;
    border: none;
    background: none;
  }

  .modal button .fa-xmark{
    color: #7E0508;
  }

  .modal button .fa-circle{
            -webkit-text-stroke-width: 2px;
            -webkit-text-stroke-color: #DF4744;
  }


  .footer{
      background: linear-gradient(#151718,#151718) padding-box,
      linear-gradient(90deg, rgba(23,25,27,1) 5%, rgba(0,22,224,1) 25%, rgba(255,77,77,1) 50%, rgba(238,0,0,1) 100%) border-box;
      border-top: 5px solid transparent;
      font-family: 'IBM Plex Mono';
  }

  .footer hr{
    border-top: 3px solid #fff;
    opacity: 5%;
  }
  
  .error{
      display: none !important;
  }